<?php

/**
 * ⚠️ Editing not allowed except for 'en' language.
 *
 * @see https://github.com/monicahq/monica/blob/main/docs/contribute/translate.md for translations.
 */

return [

    /*
    |--------------------------------------------------------------------------
    | Authentication Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used during authentication for various
    | messages that we need to display to the user. You are free to modify
    | these language lines according to your application's requirements.
    |
    */

    'failed' => 'Deze gegevens zijn niet correct.',
    'throttle' => 'Te veel inlogpogingen. Probeer opnieuw in :seconds seconden.',
    'not_authorized' => 'Je bent niet gemachtigd om dit te doen',
    'signup_disabled' => 'Registratie is momenteel uitgeschakeld',
    'signup_error' => 'Er is een fout opgetreden bij het registreren van de gebruiker',
    'back_homepage' => 'Terug naar homepage',
    'mfa_auth_otp' => 'Verifieer met je tweestapsverificatie apparaat',
    'mfa_auth_webauthn' => 'Authenticeer met een beveiligingssleutel (WebAuthn)',
    '2fa_title' => 'Tweestapsverificatie',
    '2fa_wrong_validation' => 'De tweestapsverificatie is mislukt.',
    '2fa_one_time_password' => 'Tweestapsverificatiecode',
    '2fa_recuperation_code' => 'Voer een tweestapsverificatiecode in',
    '2fa_one_time_or_recuperation' => 'Voer een tweestapsverificatiecode of een herstelcode in',
    '2fa_otp_help' => 'Open je tweestapsverificatiecode-app en kopieer de code',

    'login_to_account' => 'Inloggen op je account',
    'login_with_recovery' => 'Inloggen met een herstelcode',
    'login_again' => 'Gelieve nogmaals in te loggen op je account',
    'email' => 'E-mail',
    'password' => 'Wachtwoord',
    'recovery' => 'Herstelcode',
    'login' => 'Aanmelden',
    'button_remember' => 'Onthoud Mij',
    'password_forget' => 'Wachtwoord vergeten?',
    'password_reset' => 'Wachtwoord resetten',
    'use_recovery' => 'Of je kan een <a href=":url">herstelcode</a> gebruiken',
    'signup_no_account' => 'Heb je nog geen account?',
    'signup' => 'Registreren',
    'create_account' => 'Maak het eerste account aan door je te <a href=":url">registreren</a>',
    'change_language_title' => 'Verander taal:',
    'change_language' => 'Verander taal naar :lang',

    'password_reset_title' => 'Wachtwoord resetten',
    'password_reset_email' => 'E-mailadres',
    'password_reset_send_link' => 'Stuur een wachtwoord reset link',
    'password_reset_password' => 'Wachtwoord',
    'password_reset_password_confirm' => 'Bevestig wachtwoord',
    'password_reset_action' => 'Wachtwoord resetten',
    'password_reset_email_content' => 'Klik hier om je wachtwoord te resetten:',

    'register_title_welcome' => 'Welkom bij je nieuwe Monica-installatie',
    'register_create_account' => 'Je moet een account aanmaken om Monica te kunnen gebruiken',
    'register_title_create' => 'Maak jouw Monica account aan',
    'register_login' => '<a href=":url">Inloggen</a> als je al een account hebt.',
    'register_email' => 'Voor een geldig e-mailadres in',
    'register_email_example' => 'jij@jouwdomein',
    'register_firstname' => 'Voornaam',
    'register_firstname_example' => 'bv. Simone',
    'register_lastname' => 'Achternaam',
    'register_lastname_example' => 'bv. Schutterman',
    'register_password' => 'Wachtwoord',
    'register_password_example' => 'Voer een veilig wachtwoord in',
    'register_password_confirmation' => 'Wachtwoordbevestiging',
    'register_action' => 'Registreren',
    'register_policy' => 'Door te registreren bevestig je dat je ons <a href=":url" hreflang=":hreflang">Privacybeleid</a> en onze <a href=":urlterm" hreflang=":hreflang">Algemene Voorwaarden</a> hebt gelezen en daarmee akkoord bent.',
    'register_invitation_email' => 'Wegens beveiligingsdoeleinden vragen wij je om het e-mailadres op te geven van de persoon die je heeft uitgenodigd voor dit account. Deze informatie staat in de uitnodigingse-mail.',

    'confirmation_title' => 'Verifieer je e-mailadres',
    'confirmation_fresh' => 'Een nieuwe verificatie e-mail is verstuurd naar jouw e-mailadres.',
    'confirmation_check' => 'Voordat je verdergaat, controleer alsjeblieft je e-mail voor een verificatie e-mail.',
    'confirmation_request_another' => 'Heb je de e-mail niet ontvangen? <a :action>Klik hier om er nog een te sturen.</a>',

    'confirmation_again' => 'Als je jouw e-mailadres wilt wijzigen kun je <a href=":url" class="alert-link">hier klikken</a>.',
    'email_change_current_email' => 'Huidige e-mailadres:',
    'email_change_title' => 'E-mailadres wijzigen',
    'email_change_new' => 'Nieuw e-mailadres',
    'email_changed' => 'Je e-mailadres is gewijzigd. Kijk in je inbox om het te bevestigen.',
];
