<?php

/**
 * ⚠️ Editing not allowed except for 'en' language.
 *
 * @see https://github.com/monicahq/monica/blob/main/docs/contribute/translate.md for translations.
 */

return [

    /*
    |--------------------------------------------------------------------------
    | Authentication Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used during authentication for various
    | messages that we need to display to the user. You are free to modify
    | these language lines according to your application's requirements.
    |
    */

    'failed' => 'Girilmiş olan kullanıcı verileri sistemdekiler ile eşleşmemektedir.',
    'throttle' => 'Çok fazla oturum açma girişiminde bulundunuz. Lütfen :seconds saniye içerisinde tekrar deneyiz.',
    'not_authorized' => 'Bu işlemi yürütme yetkiniz yok',
    'signup_disabled' => 'Kayıt şu anda devre dışı',
    'signup_error' => 'Kullanıcı kayıt ederken bir hata oluştu',
    'back_homepage' => 'Ana sayfaya dön',
    'mfa_auth_otp' => 'İki faktörlü cihazınızla kimlik doğrulaması',
    'mfa_auth_webauthn' => 'Bir güvenlik anahtarıyla (WebAuthn) kimlik doğrulaması',
    '2fa_title' => 'İki Adımlı Doğrulama',
    '2fa_wrong_validation' => 'İki adımlı doğrulaması başarısız oldu.',
    '2fa_one_time_password' => 'İki adımlı doğrulama kodu',
    '2fa_recuperation_code' => 'İki aşamalı doğrulama kodu ile girin',
    '2fa_one_time_or_recuperation' => 'Enter a two factor authentication code or a recovery code',
    '2fa_otp_help' => 'İki aşamalı kimlik doğrulama mobil uygulamanızı açın ve kodu kopyalayın',

    'login_to_account' => 'Hesabınıza giriş yapın',
    'login_with_recovery' => 'Bir kurtarma kodu ile giriş yap',
    'login_again' => 'Lütfen hesabınıza tekrar giriş yapınız',
    'email' => 'E-posta',
    'password' => 'Şifre',
    'recovery' => 'Kurtarma kodu',
    'login' => 'Oturum Aç',
    'button_remember' => 'Beni Hatırla',
    'password_forget' => 'Şifremi unuttum',
    'password_reset' => 'Şifrenizi değiştirin',
    'use_recovery' => 'Veya bir <a href=":url">kurtarma kodu</a> kullanabilirsiniz',
    'signup_no_account' => 'Hesabınız yok mu?',
    'signup' => 'Kayıt ol',
    'create_account' => '<a href=":url">Kayıt olarak</a> ilk hesabınızı oluşturun',
    'change_language_title' => 'Dili değiştir:',
    'change_language' => 'Dili :lang ile değiştir',

    'password_reset_title' => 'Şifreyi Yenile',
    'password_reset_email' => 'E-posta Adresi',
    'password_reset_send_link' => 'Şifre sıfırlama bağlantısını gönder',
    'password_reset_password' => 'Şifre',
    'password_reset_password_confirm' => 'Şifreyi Doğrula',
    'password_reset_action' => 'Şifreyi Sıfırla',
    'password_reset_email_content' => 'Şifrenizi sıfırlamak için buraya tıklayın:',

    'register_title_welcome' => 'Yeni yüklenen Monica örneğinize hoş geldiniz',
    'register_create_account' => 'Monica\'yı kullanmak için bir hesap oluşturmanız gerekir',
    'register_title_create' => 'Monica hesabınızı oluşturun',
    'register_login' => 'Zaten bir hesabınız varsa <a href=":url">Giriş Yapın</a>.',
    'register_email' => 'Geçerli bir e-posta adresi girin',
    'register_email_example' => 'mail@mail',
    'register_firstname' => 'Ad',
    'register_firstname_example' => 'örn: Mehmet',
    'register_lastname' => 'Soyad',
    'register_lastname_example' => 'örn: Ağa',
    'register_password' => 'Şifre',
    'register_password_example' => 'Güçlü bir şifre girin',
    'register_password_confirmation' => 'Şifre doğrulama',
    'register_action' => 'Kayıt Ol',
    'register_policy' => 'Kayıt olmak, <a href=":url" hreflang=":hreflang">Gizlilik Politikamızı</a> ve <a href=":urlterm" hreflang=":hreflang">Kullanım Koşullarımızı</a> okuduğunuz ve kabul ettiğiniz anlamına gelmektedir.',
    'register_invitation_email' => 'Güvenlik nedeniyle, lütfen sizi bu hesaba katılmaya davet eden kişinin e-posta adresini belirtin. Bu bilgi davet e-postasında verilmektedir.',

    'confirmation_title' => 'E-posta adresinizi doğrulayın',
    'confirmation_fresh' => 'E-posta adresinize yeni bir doğrulama linki gönderildi.',
    'confirmation_check' => 'Devam etmeden önce lütfen doğrulama linki için e-postanızı kontrol edin.',
    'confirmation_request_another' => 'E-postayı almadıysanız <a :action>başka bir tane istemek için buraya tıklayın</a>.',

    'confirmation_again' => 'Eğer e-posta adresinizi değiştirmek istiyorsanız <a href=":url" class="alert-link">buraya tıklayabilirsiniz</a>.',
    'email_change_current_email' => 'Geçerli e-posta adresi:',
    'email_change_title' => 'E-posta adresini değiştir',
    'email_change_new' => 'Yeni e-posta adresi',
    'email_changed' => 'E-posta adresiniz değiştirildi. Doğrulamak için posta kutunuzu kontrol edin.',
];
