<?php

/**
 * ⚠️ Editing not allowed except for 'en' language.
 *
 * @see https://github.com/monicahq/monica/blob/main/docs/contribute/translate.md for translations.
 */

return [

    /*
    |--------------------------------------------------------------------------
    | Authentication Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used during authentication for various
    | messages that we need to display to the user. You are free to modify
    | these language lines according to your application's requirements.
    |
    */

    'failed' => '您輸入的資訊與我們的紀錄不匹配。',
    'throttle' => '登入失敗次數太多。請 :seconds 後再試。',
    'not_authorized' => '您無權執行此操作',
    'signup_disabled' => '註冊當前已停用',
    'signup_error' => 'An error occured trying to register the user',
    'back_homepage' => '回到主頁',
    'mfa_auth_otp' => '使用二次驗證裝置進行認證',
    'mfa_auth_webauthn' => '使用安全鑰匙驗證(WebAuthn)',
    '2fa_title' => '二次驗證',
    '2fa_wrong_validation' => '二次驗證失敗',
    '2fa_one_time_password' => '驗證碼',
    '2fa_recuperation_code' => '輸入二次驗證恢復碼',
    '2fa_one_time_or_recuperation' => 'Enter a two factor authentication code or a recovery code',
    '2fa_otp_help' => '開啟您的二次驗證APP並複製驗證碼',

    'login_to_account' => '登入您的帳號',
    'login_with_recovery' => '使用恢復程式碼登入',
    'login_again' => '請再次登入您的帳號',
    'email' => '電子郵件',
    'password' => '密碼',
    'recovery' => '還原程式碼',
    'login' => '登入',
    'button_remember' => '記住我',
    'password_forget' => '忘記密碼？',
    'password_reset' => '重置密碼',
    'use_recovery' => '或者您可以使用 <a href=":url">還原程式碼</a>',
    'signup_no_account' => '沒有帳號？',
    'signup' => '註冊',
    'create_account' => '單擊此處 <a href=":url">註冊</a>',
    'change_language_title' => '更改語言：',
    'change_language' => '更改語言至：:lang',

    'password_reset_title' => '重置密碼',
    'password_reset_email' => '電子信箱',
    'password_reset_send_link' => '傳送重置連結',
    'password_reset_password' => '密碼',
    'password_reset_password_confirm' => '確認密碼',
    'password_reset_action' => '重置密碼',
    'password_reset_email_content' => '單擊此處來重置密碼:',

    'register_title_welcome' => '歡迎註冊您的私人社交關係管家 - Monica',
    'register_create_account' => '您需要一個帳號來使用Monica',
    'register_title_create' => '建立您的Monica帳號',
    'register_login' => '已經有帳號了？<a href=":url">點此登入</a>',
    'register_email' => '請輸入一個有效的信箱',
    'register_email_example' => 'example@example.com',
    'register_firstname' => '名字',
    'register_firstname_example' => '例: 小明',
    'register_lastname' => '姓氏',
    'register_lastname_example' => '例: 王',
    'register_password' => '密碼',
    'register_password_example' => '鍵入密碼...',
    'register_password_confirmation' => '重複密碼',
    'register_action' => '註冊',
    'register_policy' => '我已閱讀並同意 <a href=":url" hreflang=":hreflang">隱私政策</a> 與 <a href=":urlterm" hreflang=":hreflang">使用者協議</a>',
    'register_invitation_email' => '為了安全，請您輸入邀請人的電子郵件地址。這可以在受邀郵件中找到',

    'confirmation_title' => '驗證您的電子郵件地址',
    'confirmation_fresh' => '一條新的驗證連結已經發送到您的信箱',
    'confirmation_check' => '在您繼續之前，請檢查您的信箱以獲得驗證連結。',
    'confirmation_request_another' => '如果您沒有收到電子郵件 <a :action>, 請點擊此處重新發送</a>。',

    'confirmation_again' => '如果要更改電子郵件地址, 可以 <a href=":url" class="alert-link">點擊此處</a>。',
    'email_change_current_email' => '當前郵件地址：',
    'email_change_title' => '更換您的電子郵件',
    'email_change_new' => '新郵件地址：',
    'email_changed' => '您的電子郵件已更換，請檢查您的收件箱來驗證電子郵件地址。',
];
