<?php

/**
 * ⚠️ Editing not allowed except for 'en' language.
 *
 * @see https://github.com/monicahq/monica/blob/main/docs/contribute/translate.md for translations.
 */

return [

    /*
    |--------------------------------------------------------------------------
    | Authentication Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used during authentication for various
    | messages that we need to display to the user. You are free to modify
    | these language lines according to your application's requirements.
    |
    */

    'failed' => '您输入的信息与我们的记录不匹配。',
    'throttle' => '登录失败次数太多。请 :seconds 后再试。',
    'not_authorized' => '您无权执行此操作',
    'signup_disabled' => '注册当前已停用',
    'signup_error' => '尝试注册用户时出错',
    'back_homepage' => '回到主页',
    'mfa_auth_otp' => '使用二次验证设备进行认证',
    'mfa_auth_webauthn' => '使用安全钥匙验证(WebAuthn)',
    '2fa_title' => '二次验证',
    '2fa_wrong_validation' => '二次验证失败',
    '2fa_one_time_password' => '验证码',
    '2fa_recuperation_code' => '输入二次验证恢复码',
    '2fa_one_time_or_recuperation' => '输入两步验证代码或恢复代码',
    '2fa_otp_help' => '打开您的二次验证APP并复制验证码',

    'login_to_account' => '登录您的账号',
    'login_with_recovery' => '使用恢复代码登录',
    'login_again' => '请再次登录您的账号',
    'email' => '电子邮箱',
    'password' => '密码',
    'recovery' => '恢复代码',
    'login' => '登录',
    'button_remember' => '记住我',
    'password_forget' => '忘记密码？',
    'password_reset' => '重置密码',
    'use_recovery' => '或者您可以使用 <a href=":url">恢复代码</a>',
    'signup_no_account' => '没有账号？',
    'signup' => '注册',
    'create_account' => '单击此处 <a href=":url">注册</a>',
    'change_language_title' => '更改语言：',
    'change_language' => '更改语言至：:lang',

    'password_reset_title' => '重置密码',
    'password_reset_email' => '电子邮箱',
    'password_reset_send_link' => '发送重置链接',
    'password_reset_password' => '密码',
    'password_reset_password_confirm' => '确认密码',
    'password_reset_action' => '重置密码',
    'password_reset_email_content' => '单击此处来重置密码:',

    'register_title_welcome' => '欢迎注册您的私人社交关系管家 - Monica',
    'register_create_account' => '您需要一个账号来使用Monica',
    'register_title_create' => '创建您的Monica账号',
    'register_login' => '已经有账号了？<a href=":url">点此登录</a>',
    'register_email' => '请输入一个有效的邮箱',
    'register_email_example' => 'example@example.com',
    'register_firstname' => '名字',
    'register_firstname_example' => '例:小明',
    'register_lastname' => '姓氏',
    'register_lastname_example' => '例:王',
    'register_password' => '密码',
    'register_password_example' => '键入密码...',
    'register_password_confirmation' => '重复密码',
    'register_action' => '注册',
    'register_policy' => '我已阅读并同意 <a href=":url" hreflang=":hreflang">隐私政策</a> 与 <a href=":urlterm" hreflang=":hreflang">用户协议</a>',
    'register_invitation_email' => '为了安全，请您输入邀请人的电子邮件地址。这可以在受邀邮件中找到',

    'confirmation_title' => '验证您的电子邮件地址',
    'confirmation_fresh' => '一条新的验证链接已经发送到您的邮箱',
    'confirmation_check' => '在您继续之前，请检查您的邮箱以获得验证链接。',
    'confirmation_request_another' => '如果您没有收到电子邮件 <a :action>, 请单击此处重新发送</a>。',

    'confirmation_again' => '如果要更改电子邮件地址, 可以 <a href=":url" class="alert-link">单击此处</a>。',
    'email_change_current_email' => '当前邮件地址：',
    'email_change_title' => '更换您的电子邮箱',
    'email_change_new' => '新邮箱地址：',
    'email_changed' => '您的电子邮箱已更换，请检查您的收件箱来验证电子邮件地址。',
];
